view.hpp File Reference

## Classes

struct | ranges::make_view_closure_fn
struct | ranges::views::view_closure< ViewFn >
struct | ranges::views::view_closure_base

## Functions

concept() | ranges::invocable_view_closure_ (ViewFn, Rng)
template<typename Rng >
constexpr bool | ranges::simple_view () noexcept
concept() | ranges::simple_view_impl_ (Rng)

## Variables

template<typename ViewFn , typename Rng >
concept | ranges::invocable_view_closure
constexpr make_view_closure_fn | ranges::make_view_closure {}
concept() same_as< iterator_t< Rng >, iterator_t< Rng const > > && | ranges::same_as< sentinel_t< Rng >, sentinel_t< Rng const > >
template<typename Rng >
concept | ranges::simple_view_